# Uses of Class
com.google.protobuf.Extension

Packages that use Extension
Package
Description
com.google.protobuf

## Uses of Extension in com.google.protobuf

Subclasses of Extension in com.google.protobuf
Modifier and Type
Class
Description
`static class`
`GeneratedMessage.GeneratedExtension<ContainingT extends Message,T>`
Type used to represent generated extensions.
Methods in com.google.protobuf with parameters of type Extension
Modifier and Type
Method
Description
`void`
ExtensionRegistry.`add(Extension<?,?> extension)`
Add an extension from a generated file to the registry.